/******************************************************************************
	filename:		sys_macros.h
	date:			05/Nov/2000.
	author:			Bernardo Quiroga.
	contact at:		bernardo_quiroga@hotmail.com, ICQ UIN: 13639620.
	website:		http://www.casema.net/~drago/projects/mango/index.html
	---------------------------------------------------------------------------
	This file is part of "Mango".
	
	This header file declares all the system macros used by this project.
******************************************************************************/
#ifndef __SYS_MACROS_H__
#define __SYS_MACROS_H__

///////////////////////////////////////////////////////////////////////////////
// Macro declaration.
#define SYS_DELETE(x)			if(x) delete x; x = NULL;
#define SYS_DELETE_ARRAY(x)		if(x) delete [] x; x = NULL;
#define SYS_RELEASE(x)			SYS_DELETE(x);
#define SYS_RELEASE_ARRAY(x)	SYS_DELETE_ARRAY(x);
#define SYS_FAILED(x)			((uint)x < 1)
#define SYS_SUCCEEDED(x)		((uint)x > 0)

#endif // __SYS_MACROS_H__

///////////////////////////////////////////////////////////////////////////////
// sys_macros.h - End of file.
///////////////////////////////////////////////////////////////////////////////
